/*!
 * Copyright (c) 2024 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import (reference) '../../styles.less';

.featured-jumbotron-subtitle {
  margin-bottom: 3rem;
}

.prospectus-who-we-are-section {
  position: relative;
  background: url(../../images/membership/prospectus/mid-banner.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 30%;
  color: @black;

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: darken(@brand-primary-light, 10%);
    opacity: 90%;
  }

  @media (min-width: @screen-sm-min) {
    &::before {
      width: 55%;
    }
  }

  p {
    margin-bottom: 2rem;
  }
}

.prospectus-membership-levels-section ul {
  padding-inline-start: 2rem;
}

.prospectus-membership-fees-section,
.how-we-work-section {
  a:any-link {
    color: #03A1F5;
  }
}
.prospectus-membership-fees-section {
  overflow: scroll;

  .table {
    th {
      font-size: @font-size-lg;
    }

    & > thead > tr > th,
    & > tbody > tr > td {
      padding: 1.5rem;
      border-color: lighten(@brand-secondary, 20%);
      border-width: 1px;

      &:last-child {
        // Keep the right-side of the table bordered.
        border-right-style: solid;
      }
    }

    & > thead:first-child > tr:first-child > th {
      border-top-style: solid;
      border-width: 1px;
      border-color: lighten(@brand-secondary, 20%);
    }

    & > tbody > tr:last-child > td {
      border-bottom-style: solid;
    }
  }
}

.prospectus-cta-section {
  background: url(../../images/membership/prospectus/prospectus-eclipsecon.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center 20%;
  z-index: -1;

  .circular-container {
    z-index: 1;
    margin: 0 -15px;

    &:before {
      width: 100%;
      border-radius: unset;
      opacity: 90%;
    }
  }

  @media (min-width: @screen-sm-min) {
    margin-top: 40rem;
    margin-bottom: 20rem;

    .circular-container {
      &:first-child {
        margin-top: -30rem;
        margin-bottom: 5rem;
      }

      &:last-child {
        margin-bottom: -30rem;
      }
    }

    .circular-container::before {
      width: 87rem;
      height: 87rem;
      border-radius: 50%;
      opacity: unset;
    }
  }
}

